<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<ui:composition xmlns="http://www.w3.org/1999/xhtml"
	xmlns:f="http://java.sun.com/jsf/core"
	xmlns:h="http://java.sun.com/jsf/html"
	xmlns:ui="http://java.sun.com/jsf/facelets">

	<h:dataTable value="#{projectListController.myProjects}" var="prj"
		border="1" cellpadding="2" cellspacing="0">>
		<h:column>
			<f:facet name="header">
				<h:outputText value="#{strings.project_number}" />
			</f:facet>
			<h:outputLabel value="#{prj.number}" />
		</h:column>
		<h:column>
			<f:facet name="header">
				<h:outputText value="#{strings.description}" />
			</f:facet>
			<h:outputLabel value="#{prj.description}" />
		</h:column>
		<h:column>
			<f:facet name="header">
				<h:outputText value="#{strings.progress}" />
			</f:facet>
			<h:outputLabel value="#{prj.progress}">
				<f:convertNumber type="percent" />
			</h:outputLabel>
		</h:column>
		<h:column>
			<h:form>
				<h:link value="#{strings.details}"
					outcome="project_details?faces-redirect=true">
					<f:param name="id" value="#{prj.number}" />
				</h:link>
			</h:form>
		</h:column>
	</h:dataTable>
</ui:composition>